org.apache.hadoop.ipc.protobuf

## Class ProtobufRpcEngineProtos

- java.lang.Object
- - org.apache.hadoop.ipc.protobuf.ProtobufRpcEngineProtos

-     public final class ProtobufRpcEngineProtos
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProtobufRpcEngineProtos.RequestHeaderProto` Protobuf type `hadoop.common.RequestHeaderProto`
    `static interface` | `ProtobufRpcEngineProtos.RequestHeaderProtoOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.